WebFlowUnitTestMixin (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## grails.test.mixin.webflow
[Groovy] Class WebFlowUnitTestMixin

    java.lang.Object
      grails.test.mixin.support.GrailsUnitTestMixin
          grails.test.mixin.web.ControllerUnitTestMixin
              grails.test.mixin.webflow.WebFlowUnitTestMixin

    class WebFlowUnitTestMixin
    extends ControllerUnitTestMixin

A unit test mixin for testing Web Flow interactions

Authors:
  Graeme Rocher

Since:
  2.0

Property Summary
`java.util.Map` | `conversation`
`java.util.Map` | `currentEvent`
`java.util.Map` | `flow`
`java.util.Map` | `flowMap`
`java.util.Map` | `inputParams`
`java.lang.Boolean` | `isInput`
`java.lang.Boolean` | `isOutput`
`java.lang.String` | `lastEventName`
`java.lang.String` | `lastTransitionName`
`java.lang.String` | `stateTransition`

Method Summary
`protected java.lang.Object` | `doInput(java.lang.String name)`
`protected java.lang.Object` | `doInput(java.lang.String name, groovy.lang.Closure valueClosure)`
`protected java.lang.Object` | `doInput(java.lang.String name, java.lang.Object defaultValue)`
`protected java.lang.Object` | `doInput(java.lang.String name, java.util.Map map)`
`protected java.lang.Object` | `doInput(java.lang.String name, java.lang.Boolean required, groovy.lang.Closure valueClosure)`
`protected java.lang.Object` | `doInput(java.lang.String name, java.lang.Boolean required, java.lang.Object defaultValue)`
`protected java.lang.Object` | `doOutput(java.lang.String name, groovy.lang.Closure valueClosure)`
`protected java.lang.Object` | `doOutput(java.lang.String name, java.util.Map valueMap)`
`protected java.lang.Object` | `doOutput(java.lang.String name, java.lang.Object value)`
`protected java.lang.Object` | `methodMissing(java.lang.String name, java.lang.Object args)` Registers the end transition state of a web flow if it is returned as `return success()`
`java.lang.Object` | `mockController(java.lang.Class controllerClass)`
`java.lang.Object` | `propertyMissing(java.lang.String name)`

Methods inherited from class ControllerUnitTestMixin
bindGrailsWebRequest, cleanupGrailsWeb, clearGrailsWebRequest, configureGrailsWeb, createAndEnhance, getFlash, getModel, getParams, getSession, getStatus, getView, mockCommandObject, mockController, testFor

Methods inherited from class GrailsUnitTestMixin
cleanupModifiedMetaClasses, defineBeans, deregisterMetaClassCleaner, initGrailsApplication, mockCodec, mockFor, mockForConstraintsTests, registerBeans, registerMetaClassRegistryWatcher, resetGrailsApplication, shouldFail, shouldFail, shutdownApplicationContext

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### conversation

    java.util.Map conversation

### currentEvent

    java.util.Map currentEvent

### flow

    java.util.Map flow

### flowMap

    java.util.Map flowMap

### inputParams

    java.util.Map inputParams

### isInput

    java.lang.Boolean isInput

### isOutput

    java.lang.Boolean isOutput

### lastEventName

    java.lang.String lastEventName

### lastTransitionName

    java.lang.String lastTransitionName

### stateTransition

    java.lang.String stateTransition

Method Detail

### doInput

    protected java.lang.Object doInput(java.lang.String name)

### doInput

    protected java.lang.Object doInput(java.lang.String name, groovy.lang.Closure valueClosure)

### doInput

    protected java.lang.Object doInput(java.lang.String name, java.lang.Object defaultValue)

### doInput

    protected java.lang.Object doInput(java.lang.String name, java.util.Map map)

### doInput

    protected java.lang.Object doInput(java.lang.String name, java.lang.Boolean required, groovy.lang.Closure valueClosure)

### doInput

    protected java.lang.Object doInput(java.lang.String name, java.lang.Boolean required, java.lang.Object defaultValue)

### doOutput

    protected java.lang.Object doOutput(java.lang.String name, groovy.lang.Closure valueClosure)

### doOutput

    protected java.lang.Object doOutput(java.lang.String name, java.util.Map valueMap)

### doOutput

    protected java.lang.Object doOutput(java.lang.String name, java.lang.Object value)

### methodMissing

    protected java.lang.Object methodMissing(java.lang.String name, java.lang.Object args)

  Registers the end transition state of a web flow if it is returned as `return success()`

### mockController

    @java.lang.Override
    java.lang.Object mockController(java.lang.Class controllerClass)

### propertyMissing

    java.lang.Object propertyMissing(java.lang.String name)

Groovy Documentation